<template>
  <section>
      <h2>Set Sessions</h2>
      <header class="row-header" style="padding-left: 3px; padding-right: 15px;">
      </header>

    <section>
  <label>Choose a session:</label>
      <select v-model="selectedSession" class="custom-select">
        <option v-for="session in sessions" :key="session.id" :value="session.id"
        :selected="session.id === selectedSession ? true : false">{{session.date + ' - ' + session.school}}</option>
      </select>
    </section>

    <div class="text-left" style="padding-top: 15px;">
      <button @click="SetSession" class="btn btn-dark">Set Session</button>
      <button @click="Today" class="btn btn-dark">Start Today's Session</button>
    </div>

    </section>
</template>



<script>

export default {
    data() {
      return {
      sessions:[],
      selectedSession:null,
        }
    },
    created(){
      app.session.SetSession().then( () => {
        app.api.Get("sessions/").then(response => {
          this.sessions = response
          this.selectedSession = app.session.data.id
        });
      });
    },
    methods:{
      SetSession(){
        app.api.Put("activeSessions/" + this.selectedSession).then(response => {
          app.$router.push({ path: '/admin/sessions/edit'})
        });
      },
      Today(){
        // get today date based on browser
        var data = {
          'today': this.moment().format('YYYY-MM-DD')
        };
        app.api.Post("activeSessions/today", data).then(response => {
          if(response.id){
            app.$router.push({ path: '/admin/activity/yat'});
            this.$emit('active-session');
          }
          else{
            app.Message( "You must create a session for today before it can be selected", "error" );
          }
        });
      }
    }
}
</script>

